/**
  * bootstrap-table - An extended table to integration with some of the most widely used CSS frameworks. (Supports Bootstrap, Semantic UI, Bulma, Material Design, Foundation)
  *
  * @version v1.23.0
  * @homepage https://bootstrap-table.com
  * @author wenzhixin <wenzhixin2010@gmail.com> (http://wenzhixin.net.cn/)
  * @license MIT
  */

!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(require("core-js/modules/es.array.concat.js"),require("core-js/modules/es.array.find.js"),require("core-js/modules/es.array.index-of.js"),require("core-js/modules/es.object.assign.js"),require("core-js/modules/es.object.entries.js"),require("core-js/modules/es.object.to-string.js"),require("core-js/modules/es.regexp.exec.js"),require("core-js/modules/es.string.replace.js"),require("jquery")):"function"==typeof define&&define.amd?define(["core-js/modules/es.array.concat.js","core-js/modules/es.array.find.js","core-js/modules/es.array.index-of.js","core-js/modules/es.object.assign.js","core-js/modules/es.object.entries.js","core-js/modules/es.object.to-string.js","core-js/modules/es.regexp.exec.js","core-js/modules/es.string.replace.js","jquery"],t):t(null,null,null,null,null,null,null,null,(e="undefined"!=typeof globalThis?globalThis:e||self).jQuery)}(this,(function(e,t,r,n,o,a,i,l,u){"use strict";function c(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=Array(t);r<t;r++)n[r]=e[r];return n}function s(e,t,r){return t=b(t),function(e,t){if(t&&("object"==typeof t||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return function(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}(e)}(e,p()?Reflect.construct(t,r||[],b(e).constructor):t.apply(e,r))}function f(e,t,r){return t&&function(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,h(n.key),n)}}(e.prototype,t),Object.defineProperty(e,"prototype",{writable:!1}),e}function d(){return d="undefined"!=typeof Reflect&&Reflect.get?Reflect.get.bind():function(e,t,r){var n=function(e,t){for(;!{}.hasOwnProperty.call(e,t)&&null!==(e=b(e)););return e}(e,t);if(n){var o=Object.getOwnPropertyDescriptor(n,t);return o.get?o.get.call(arguments.length<3?e:r):o.value}},d.apply(null,arguments)}function b(e){return b=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},b(e)}function p(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(p=function(){return!!e})()}function y(e,t){return y=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},y(e,t)}function v(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=r){var n,o,a,i,l=[],u=!0,c=!1;try{if(a=(r=r.call(e)).next,0===t);else for(;!(u=(n=a.call(r)).done)&&(l.push(n.value),l.length!==t);u=!0);}catch(e){c=!0,o=e}finally{try{if(!u&&null!=r.return&&(i=r.return(),Object(i)!==i))return}finally{if(c)throw o}}return l}}(e,t)||j(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function h(e){var t=function(e,t){if("object"!=typeof e||!e)return e;var r=e[Symbol.toPrimitive];if(void 0!==r){var n=r.call(e,t);if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e,"string");return"symbol"==typeof t?t:t+""}function j(e,t){if(e){if("string"==typeof e)return c(e,t);var r={}.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?c(e,t):void 0}}var m=u.fn.bootstrapTable.utils;Object.assign(u.fn.bootstrapTable.defaults,{editable:!0,onEditableInit:function(){return!1},onEditableSave:function(e,t,r,n,o){return!1},onEditableShown:function(e,t,r,n){return!1},onEditableHidden:function(e,t,r,n){return!1}}),Object.assign(u.fn.bootstrapTable.columnDefaults,{alwaysUseFormatter:!1}),Object.assign(u.fn.bootstrapTable.events,{"editable-init.bs.table":"onEditableInit","editable-save.bs.table":"onEditableSave","editable-shown.bs.table":"onEditableShown","editable-hidden.bs.table":"onEditableHidden"}),u.BootstrapTable=function(e){function t(){return function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,t),s(this,t,arguments)}return function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&y(e,t)}(t,e),f(t,[{key:"initTable",value:function(){var e=this;d(b(t.prototype),"initTable",this).call(this),this.options.editable&&(this.editedCells=[],u.each(this.columns,(function(t,r){if(r.editable){var n={},o="editable-",a=function(e,t){var r=e.replace(/([A-Z])/g,(function(e){return"-".concat(e.toLowerCase())}));0===r.indexOf(o)&&(n[r.replace(o,"data-")]=t)};u.each(e.options,a),r.formatter=r.formatter||function(e){return e},r._formatter=r._formatter?r._formatter:r.formatter,r.formatter=function(t,o,i,l){var c=m.calculateObjectValue(r,r._formatter,[t,o,i,l],t);if(c=null==c?e.options.undefinedText:c,void 0!==e.options.uniqueId&&!r.alwaysUseFormatter){var s=m.getItemField(o,e.options.uniqueId,!1);-1!==u.inArray(r.field+s,e.editedCells)&&(c=t)}u.each(r,a);var f=m.calculateObjectValue(r,r.editable,[i,o],{}),d=f.hasOwnProperty("noEditFormatter")&&f.noEditFormatter(t,o,i,l);if(d)return d;var b="";return u.each(n,(function(e,t){b+=" ".concat(e,'="').concat(t,'"')})),'<a href="javascript:void(0)"\n          data-name="'.concat(r.field,'"\n          data-pk="').concat(o[e.options.idField],'"\n          data-value="').concat(t||"",'"\n          ').concat(b,">").concat(c,"</a>")}}})))}},{key:"initBody",value:function(e){var r=this;d(b(t.prototype),"initBody",this).call(this,e),this.options.editable&&(u.each(this.columns,(function(e,t){if(t.editable){var n=r.getData({escape:!0}),o=r.$body.find('a[data-name="'.concat(t.field,'"]'));o.each((function(e,r){var o=u(r),a=o.closest("tr").data("index"),i=n[a],l=m.calculateObjectValue(t,t.editable,[a,i,o],{});o.editable(l)})),o.off("save").on("save",(function(e,n){var o=e.currentTarget,a=n.submitValue,i=u(o),l=r.getData(),c=i.parents("tr[data-index]").data("index"),s=l[c],f=s[t.field];if(void 0!==r.options.uniqueId&&!t.alwaysUseFormatter){var d=m.getItemField(s,r.options.uniqueId,!1);-1===u.inArray(t.field+d,r.editedCells)&&r.editedCells.push(t.field+d)}a=m.escapeHTML(a),i.data("value",a),s[t.field]=a,r.trigger("editable-save",t.field,s,c,f,i),r.initBody()})),o.off("shown").on("shown",(function(e,n){var o=e.currentTarget,a=u(o),i=r.getData()[a.parents("tr[data-index]").data("index")];r.trigger("editable-shown",t.field,i,a,n)})),o.off("hidden").on("hidden",(function(e,n){var o=e.currentTarget,a=u(o),i=r.getData()[a.parents("tr[data-index]").data("index")];r.trigger("editable-hidden",t.field,i,a,n)}))}})),this.trigger("editable-init"))}},{key:"getData",value:function(e){var r=d(b(t.prototype),"getData",this).call(this,e);if(e&&e.escape){var n,o=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=j(e))||t){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var a,i=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return i=e.done,e},e:function(e){l=!0,a=e},f:function(){try{i||null==r.return||r.return()}finally{if(l)throw a}}}}(r);try{for(o.s();!(n=o.n()).done;)for(var a=n.value,i=0,l=Object.entries(a);i<l.length;i++){var u=v(l[i],2),c=u[0],s=u[1];a[c]=m.unescapeHTML(s)}}catch(e){o.e(e)}finally{o.f()}}return r}}])}(u.BootstrapTable)}));
